# -*- coding: utf-8 -*-
##################################################
# This file is part of WAPT Enterprise
# All right reserved, (c) Tranquil IT Systems 2023
# For more information please refer to
# https://wapt.tranquil.it/store/licences.html
##################################################
from setuphelpers import *


def install():
    ver = control.version.split("-")[0]
    bin_name = f"minetest-{ver}-macos.zip"

    run("mkdir /tmp/minetest")
    run(f"unzip {bin_name} -d /tmp/minetest")
    run("mv /tmp/minetest/minetest.app /Applications")
    remove_tree("/tmp/minetest")

def uninstall():
    remove_tree("/Applications/minetest.app")
